﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek TX1 (1 yr) AC Voltage VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1 (1 yr) DC Voltage VER RS-232 /5502
INSTRUMENT:            Sub Tek TX1 (1 yr) AC DC Voltage VER RS-232 /5502
DATE:                  2017-03-07 11:52:13
AUTHOR:                Fluke
REVISION:              $Revision: 18548 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       29
NUMBER OF LINES:       314
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  Compatibility:
#        MET/CAL 8.1.4 or later
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5502E 1 year specifications.
#        DC VOLTAGE
#               - 0 mV; TUR 3.3333
#
#  Source:
#        Tektronix TX1/TX3 Service Manual, Part No. 070-9893-01 (No date or
#        revision stated)
#
#  Additional Equipment Required:
#        DB9 IR Cable Kit, Fluke Part No. 1590638
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         AC_DC_VOLTAGE                PSUBI("AC DC Voltage")
  1.002  JMPL         AC_VOLTAGE                   PSUBI("AC Voltage")
  1.003  JMPL         DC_VOLTAGE                   PSUBI("DC Voltage")
  1.004  DISP         Subprocedure not found!
  1.005  END

  1.006  EVAL   Increment test number

# =====  Sub Tek TX1 (1 yr) AC Voltage VER RS-232 /5502  ====================

  2.001  LABEL        AC_VOLTAGE
  2.002  RSLT         =
  2.003  HEAD         {AC VOLTAGE}
  2.004  RSLT         =
  2.005  HEAD         -2{500 mV Range}
  2.006  MATH         @SettlingSec = 5
  2.007  TARGET       -p
# Set UUT to V AC, 500 mV Range.
  2.008  MATH         @Cmd = "!T01,0"
  2.009  CALL         Sub Fluke 183,185 Send Command RS-232
  2.010  5502E        +Voltage = 0.0 mV
  2.011  MATH         @Cmd = "!M?"
  2.012  TARGET       -m
  2.013  CALL         Sub Fluke 183,185 Query Measurement RS-232
  2.014  MATH         MEM = MEM / 1E-3
  2.015  MEMCX  500   0.0mV          0.6% 0.2U

  3.001  MATH         @SettlingSec = 2
  3.002  TARGET       -p
  3.003  5502E        +Voltage = 50.0 mV; Frequency = 60 Hz
  3.004  TARGET       -m
  3.005  CALL         Sub Fluke 183,185 Query Measurement RS-232
  3.006  MATH         MEM = MEM / 1E-3
  3.007  MEMCX  500   50.0mV         0.6% 0.2U     60Hz

  4.001  5502E        +Voltage = 460.0 mV; Frequency = 60 Hz
  4.002  TARGET       -m
  4.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  4.004  MATH         MEM = MEM / 1E-3
  4.005  MEMCX  500   460.0mV        0.6% 0.2U     60Hz

  5.001  5502E        +Voltage = 460.0 mV; Frequency = 20 kHz
  5.002  TARGET       -m
  5.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  5.004  MATH         MEM = MEM / 1E-3
  5.005  MEMCX  500   460.0mV        0.6% 0.2U     20kHz

  6.001  RSLT         =
  6.002  HEAD         -2{5 V Range}
  6.003  TARGET       -p
# Set UUT to V AC, 5 V Range.
  6.004  MATH         @Cmd = "!T01,1"
  6.005  CALL         Sub Fluke 183,185 Send Command RS-232
  6.006  5502E        +Voltage = 4.600 V; Frequency = 40 Hz
  6.007  MATH         @Cmd = "!M?"
  6.008  TARGET       -m
  6.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
  6.010  MEMCX  5     4.600V         0.6% 0.002U   40Hz

  7.001  5502E        +Voltage = 4.600 V; Frequency = 1 kHz
  7.002  TARGET       -m
  7.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  7.004  MEMCX  5     4.600V         0.6% 0.002U   1kHz

  8.001  5502E        +Voltage = 4.600 V; Frequency = 10 kHz
  8.002  TARGET       -m
  8.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  8.004  MEMCX  5     4.600V         0.6% 0.002U   10kHz

  9.001  5502E        +Voltage = 4.600 V; Frequency = 20 kHz
  9.002  TARGET       -m
  9.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
  9.004  MEMCX  5     4.600V         0.6% 0.002U   20kHz

 10.001  RSLT         =
 10.002  HEAD         -2{50 V Range}
 10.003  TARGET       -p
# Set UUT to V AC, 50 V Range.
 10.004  MATH         @Cmd = "!T01,2"
 10.005  CALL         Sub Fluke 183,185 Send Command RS-232
 10.006  5502E        +Voltage = 46.00 V; Frequency = 60 Hz
 10.007  MATH         @Cmd = "!M?"
 10.008  TARGET       -m
 10.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 10.010  MEMCX  50    46.00V         0.6% 0.02U    60Hz

 11.001  5502E        +Voltage = 46.00 V; Frequency = 20 kHz
 11.002  TARGET       -m
 11.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 11.004  MEMCX  50    46.00V         0.6% 0.02U    20kHz

 12.001  RSLT         =
 12.002  HEAD         -2{500 V Range}
 12.003  TARGET       -p
# Set UUT to V AC, 500 V Range.
 12.004  MATH         @Cmd = "!T01,3"
 12.005  CALL         Sub Fluke 183,185 Send Command RS-232
 12.006  5502E        +Voltage = 460.0 V; Frequency = 60 Hz
 12.007  MATH         @Cmd = "!M?"
 12.008  TARGET       -m
 12.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 12.010  MEMCX  500   460.0V         0.6% 0.2U     60Hz

 13.001  5502E        +Voltage = 320.0 V; Frequency = 20 kHz
 13.002  TARGET       -m
 13.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 13.004  MEMCX  500   320.0V         0.6% 0.2U     20kHz

 14.001  RSLT         =
 14.002  HEAD         -2{1000 V Range}
 14.003  TARGET       -p
# Set UUT to V AC, 1000 V Range.
 14.004  MATH         @Cmd = "!T01,4"
 14.005  CALL         Sub Fluke 183,185 Send Command RS-232
 14.006  5502E        +Voltage = 1000 V; Frequency = 60 Hz
 14.007  MATH         @Cmd = "!M?"
 14.008  TARGET       -m
 14.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 14.010  MEMCX  1000  1000V          0.6% 2U       60Hz

 15.001  5502E        +Voltage = 1000 V; Frequency = 10 kHz
 15.002  TARGET       -m
 15.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 15.004  MEMCX  1000  1000V          0.6% 2U       10kHz

 16.001  HEAD         -2
 16.002  HEAD
 16.003  5502E        Reset
 16.004  END

 16.005  EVAL   Increment test number

# =====  Sub Tek TX1 (1 yr) DC Voltage VER RS-232 /5502  ====================

 17.001  LABEL        DC_VOLTAGE
 17.002  RSLT         =
 17.003  HEAD         {DC VOLTAGE}
 17.004  RSLT         =
 17.005  HEAD         -2{500 mV Range}
 17.006  TARGET       -p
# Turn Hi Res display on.
 17.007  MATH         @Cmd = "!l03"
 17.008  CALL         Sub Fluke 183,185 Send Command RS-232
# Set UUT to V DC, 500 mV Range.
 17.009  MATH         @Cmd = "!T03,0"
 17.010  CALL         Sub Fluke 183,185 Send Command RS-232
 17.011  5502E        +Voltage = 0.00 mV
 17.012  MATH         @Cmd = "!M?"
 17.013  TARGET       -m
 17.014  CALL         Sub Fluke 183,185 Query Measurement RS-232
 17.015  MATH         MEM = MEM / 1E-3
 17.016  MEMCX  500   0.00mV         0.7% 0.01U
#! WARNING: Test Tol 1e-05, Sys Tol 3e-06 V, TUR 3.3333 (< 4.00).

 18.001  5502E        +Voltage = 46.00 mV
 18.002  TARGET       -m
 18.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 18.004  MATH         MEM = MEM / 1E-3
 18.005  MEMCX  500   46.00mV        0.7% 0.01U

 19.001  5502E        +Voltage = 460.00 mV
 19.002  TARGET       -m
 19.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 19.004  MATH         MEM = MEM / 1E-3
 19.005  MEMCX  500   460.00mV       0.7% 0.01U

 20.001  5502E        +Voltage = -460.00 mV
 20.002  TARGET       -m
 20.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 20.004  MATH         MEM = MEM / 1E-3
 20.005  MEMCX  500   -460.00mV      0.7% 0.01U

 21.001  RSLT         =
 21.002  HEAD         -2{5 V Range}
 21.003  TARGET       -p
# Set UUT to V DC, 5 V Range.
 21.004  MATH         @Cmd = "!T03,1"
 21.005  CALL         Sub Fluke 183,185 Send Command RS-232
 21.006  5502E        +Voltage = 4.6000 V
 21.007  MATH         @Cmd = "!M?"
 21.008  TARGET       -m
 21.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 21.010  MEMCX  5     4.6000V        0.7% 0.0001U

 22.001  RSLT         =
 22.002  HEAD         -2{50 V Range}
 22.003  TARGET       -p
# Set UUT to V DC, 50 V Range.
 22.004  MATH         @Cmd = "!T03,2"
 22.005  CALL         Sub Fluke 183,185 Send Command RS-232
 22.006  5502E        +Voltage = 46.000 V
 22.007  MATH         @Cmd = "!M?"
 22.008  TARGET       -m
 22.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 22.010  MEMCX  50    46.000V        0.7% 0.001U

 23.001  RSLT         =
 23.002  HEAD         -2{500 V Range}
 23.003  TARGET       -p
# Set UUT to V DC, 500 V Range.
 23.004  MATH         @Cmd = "!T03,3"
 23.005  CALL         Sub Fluke 183,185 Send Command RS-232
 23.006  5502E        +Voltage = 460.00 V
 23.007  MATH         @Cmd = "!M?"
 23.008  TARGET       -m
 23.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 23.010  MEMCX  500   460.00V        0.7% 0.01U

 24.001  RSLT         =
 24.002  HEAD         -2{1000 V Range}
 24.003  TARGET       -p
# Set UUT to V DC, 1000 V Range.
 24.004  MATH         @Cmd = "!T03,4"
 24.005  CALL         Sub Fluke 183,185 Send Command RS-232
 24.006  5502E        +Voltage = 1000.0 V
 24.007  MATH         @Cmd = "!M?"
 24.008  TARGET       -m
 24.009  CALL         Sub Fluke 183,185 Query Measurement RS-232
 24.010  MEMCX  1000  1000.0V        0.7% 0.1U

 25.001  5502E        +Voltage = -1000.0 V
 25.002  TARGET       -m
 25.003  CALL         Sub Fluke 183,185 Query Measurement RS-232
 25.004  MEMCX  1000  -1000.0V       0.7% 0.1U

 26.001  HEAD         -2
 26.002  HEAD
 26.003  5502E        Reset
# Clear power on (Hi Res) settings.
 26.004  MATH         @Cmd = "!l00"
 26.005  CALL         Sub Fluke 183,185 Send Command RS-232
# Disable button beeps.
 26.006  MATH         @Cmd = "!N1"
 26.007  CALL         Sub Fluke 183,185 Send Command RS-232
 26.008  END

 26.009  EVAL   Increment test number

# =====  Sub Tek TX1 (1 yr) AC DC Voltage VER RS-232 /5502  =================

 27.001  LABEL        AC_DC_VOLTAGE
 27.002  RSLT         =
 27.003  HEAD         {AC DC VOLTAGE}
 27.004  RSLT         =
 27.005  HEAD         -2{500 mV Range}
 27.006  TARGET       -p
 27.007  MATH         @Cmd = "!T05,0"
 27.008  CALL         Sub Fluke 183,185 Send Command RS-232
 27.009  5502E        +Voltage = 32.0 mV
 27.010  MATH         @Cmd = "!M?"
 27.011  TARGET       -m
 27.012  CALL         Sub Fluke 183,185 Query Measurement RS-232
 27.013  MATH         MEM = MEM / 1E-3
 27.014  MEMCX  500   32.0mV         0.7% 0.3U

 28.001  5502E        +Voltage = 460.0 mV; Frequency = 40 Hz
# Read AC value from upper display.
 28.002  MATH         @Cmd = "!U?"
 28.003  TARGET       -m
 28.004  CALL         Sub Fluke 183,185 Query Measurement RS-232
 28.005  MATH         MEM = MEM / 1E-3
 28.006  MEMCX  500   460.0mV        0.7% 0.3U     40Hz

 29.001  HEAD         -2
 29.002  HEAD
 29.003  5502E        Reset
 29.004  END
