﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tektronix TX3 (1 yr) VER RS-232 /5502
DATE:                  2017-03-07 11:09:53
AUTHOR:                Fluke
REVISION:              $Revision: 18544 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       154
CONFIGURATION:         Fluke 5502E
=============================================================================
#
#  Procedure Author:
#        GMO, DFM, DAC
#
#  This procedure contains tests whose Test Uncertainty Ratios are less
#  than 4:1, based on 5520A 1 year specifications.
#        VOLTS PEAK HOLD
#               - ±3.2 Vp; TUR 1.8462
#
#        CAPACITANCE
#               -   4 nF; TUR 2.5568
#               -  40 nF; TUR 2.4432
#               - 400 nF; TUR 2.4432
#               -   4 µF; TUR 2.4432
#               -  40 mF; TUR 2.4600
#
#        AC CURRENT
#               - 34 µA, 1 kHz; TUR 2.9851
#               - 4.6 A, 5 kHz; TUR 2.9658
#               -  10 A, 5 kHz; TUR 3.0556
#
#  Source:
#        Tektronix TX1/TX3 Service Manual, Part No. 070-9893-01 (No date or
#        revision stated)
#
#  Additional Equipment Required:
#        DB9 IR Cable Kit, Fluke Part No. 1590638
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5502E        Reset
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        W

  1.005  IF           NOT(VERSIONCHECK("8.1.4"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Guardbanding & Ver Method

  1.012  HEAD         EQUIPMENT REQUIREMENTS
  1.013  OPBR         -z Do you want to review the list of additional
  1.013  OPBR         equipment and/or accessories required?

  1.014  IF           MEM1
  1.015  DISP         The following additional equipment is required:
  1.015  DISP
  1.015  DISP         - Test leads, stackable, 4 ea.
  1.015  DISP         - DB9 IR Cable Kit, Fluke Part No. 1590638
  1.015  DISP         - Fluke Adapter Kit, Fluke Part No. 689486 (only
  1.015  DISP         [32] required if 5520A SERIAL 2 TO UUT port used)
  1.016  ENDIF

  1.017  HEAD         PRELIMINARY CONDITIONS
  1.018  DISP         Ensure that the UUT has been allowed to stabilize
  1.018  DISP         in an environment with an ambient temperature of
  1.018  DISP         18 °C to 28 °C and a relative humidity of < 80 %.

  1.019  HEAD         GENERAL INSTRUCTIONS
  1.020  CALL         Sub Fluke 183,185 Connection RS-232

  1.021  DISP         Rotate the UUT function switch from OFF to V.
  1.022  WAIT         -t 3 Waiting for startup sequence to complete...

  1.023  PORT         [P9600,E,7,1,N][OTERM CR][TERM CR]
  1.024  CALL         Sub Tek TX1,TX3 Query Identification RS-232

  1.025  IF           NOT(ZCMP(@ModelNum, "TX3"))
  1.026  DISP         UUT is a [V @ModelNum], not a "TX3"!
  1.027  END
  1.028  ENDIF

  1.029  CALL         Sub Fluke 183,185 Display, Keypad, & Backlight VER

  1.030  DISP         Rotate the UUT function switch to OFF then to back
  1.030  DISP         to V, ensuring a 1 minute warm-up has been allowed
  1.030  DISP         to elapse.
  1.031  WAIT         [D1000]

# Set to Factory Default setup.
  1.032  MATH         @Cmd = "!l13"
  1.033  CALL         Sub Fluke 183,185 Send Command RS-232
# Disable button beeps.
  1.034  MATH         @Cmd = "!N1"
  1.035  CALL         Sub Fluke 183,185 Send Command RS-232
  1.036  JMPL         CAPACITANCE

  1.037  LABEL        AC_VOLTAGE
  1.038  CALL         Sub Tek TX3 (1 yr) AC Voltage VER RS-232 /5502
  1.039  CALL         Sub Tek TX1,TX3 (1 yr) AC Voltage Freq VER RS-232 /5502
  1.040  CALL         Sub Tek TX3 (1 yr) DC Voltage VER RS-232 /5502
  1.041  CALL         Sub Tek TX1,TX3 (1 yr) V Peak Hold VER RS-232 /5502
  1.042  CALL         Sub Tek TX3 (1 yr) AC DC Voltage VER RS-232 /5502
  1.043  CALL         Sub Tek TX1,TX3 (1 yr) AC+DC V & Freq VER RS-232 /5502
  1.044  CALL         Sub Tek TX1,TX3 (1 yr) Resistance VER RS-232 /5502
  1.045  JMPL         CONTINUITY

  1.046  LABEL        DIODE_TEST
  1.047  CALL         Sub Tek TX1,TX3 (1 yr) Diode Test VER RS-232 /5502
  1.048  JMPL         LOW_DC_CURRENT

  1.049  LABEL        CONTINUITY
  1.050  CALL         Sub Tek TX1,TX3 (1 yr) Continuity VER RS-232 /5502
  1.051  JMPL         DIODE_TEST

  1.052  LABEL        CAPACITANCE
  1.053  CALL         Sub Tek TX1,TX3 (1 yr) Capacitance VER RS-232 /5502
  1.054  JMPL         AC_VOLTAGE

  1.055  LABEL        LOW_DC_CURRENT
  1.056  CALL         Sub Tek TX1,TX3 (1 yr) Low DCI VER RS-232 /5502
  1.057  JMPL         LOW_AC_CURRENT

  1.058  LABEL        HIGH_DC_CURRENT
  1.059  CALL         Sub Tek TX1,TX3 (1 yr) High DCI VER RS-232 /5502
  1.060  JMPL         HIGH_AC_CURRENT

  1.061  LABEL        LOW_AC_CURRENT
  1.062  CALL         Sub Tek TX1,TX3 (1 yr) Low ACI VER RS-232 /5502
  1.063  JMPL         HIGH_DC_CURRENT

  1.064  LABEL        HIGH_AC_CURRENT
  1.065  CALL         Sub Tek TX1,TX3 (1 yr) High ACI VER RS-232 /5502

  1.066  END
